package com.tangguo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tangguo.domain.BbsTopic;
import com.tangguo.domain.vo.BbsTopicListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 话题Mapper接口
 *
 * @author ruoyi
 * @date 2025-08-27
 */
public interface BbsTopicMapper extends BaseMapper<BbsTopic> {

	List<BbsTopicListVO> selectSelectTopics(@Param("name") String name);


	void refreshRankingTopic();


	List<BbsTopicListVO> selectRankingTopic();

}
